sayren Docs
내 정보

동의 변경 (재동의·마케팅)

필수 동의는 동의(`true`)만 보낼 수 있다(철회는 탈퇴다). 마케팅은 `false`로 철회할 수 있다. 바뀐 것이 없으면 이력을 남기지 않고 현재 상태를 그대로 돌려준다.

POST
/storefront/v1/me/consents

필수 동의는 동의(true)만 보낼 수 있다(철회는 탈퇴다). 마케팅은 false로 철회할 수 있다. 바뀐 것이 없으면 이력을 남기지 않고 현재 상태를 그대로 돌려준다.

AuthorizationBearer <token>

회원 accessToken

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

terms?true

이용약관 재동의

Value in

  • true
privacy?true

개인정보 수집이용 재동의

Value in

  • true
marketing?boolean

마케팅 수신 동의(false면 철회)

Response Body

application/json

curl -X POST "https://example.com/storefront/v1/me/consents" \  -H "Content-Type: application/json" \  -d '{}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "terms": {      "kind": "TERMS",      "agreed": true,      "agreedVersion": "string",      "currentVersion": "string",      "currentDocumentUrl": "string",      "updatedAt": "string",      "reconsentRequired": true    },    "privacy": {      "kind": "TERMS",      "agreed": true,      "agreedVersion": "string",      "currentVersion": "string",      "currentDocumentUrl": "string",      "updatedAt": "string",      "reconsentRequired": true    },    "marketing": {      "kind": "TERMS",      "agreed": true,      "agreedVersion": "string",      "currentVersion": "string",      "currentDocumentUrl": "string",      "updatedAt": "string",      "reconsentRequired": true    },    "reconsentRequired": true  },  "error": null}